// swift-tools-version:5.9
import PackageDescription

let package = Package(
    name: "ChessPrism",
    platforms: [
        .iOS(.v16),
        .macOS(.v13),
        .visionOS(.v1)
    ],
    products: [
        .library(
            name: "ChessPrism",
            targets: ["ChessPrism"]
        )
    ],
    dependencies: [
        .package(url: "https://github.com/pointfreeco/swift-composable-architecture", from: "1.0.0"),
        .package(url: "https://github.com/nalexn/ViewInspector", from: "0.9.7"),
        .package(url: "https://github.com/ReactiveX/RxSwift", from: "6.6.0"),
        .package(url: "https://github.com/SwiftGen/SwiftGenPlugin", from: "6.6.0")
    ],
    targets: [
        .target(
            name: "ChessPrism",
            dependencies: [
                .product(name: "ComposableArchitecture", package: "swift-composable-architecture"),
                .product(name: "RxSwift", package: "RxSwift")
            ],
            plugins: [
                .plugin(name: "SwiftGenPlugin", package: "SwiftGenPlugin")
            ]
        ),
        .testTarget(
            name: "ChessPrismTests",
            dependencies: [
                "ChessPrism",
                .product(name: "ViewInspector", package: "ViewInspector")
            ]
        ),
        .testTarget(
            name: "ChessPrismUITests",
            dependencies: ["ChessPrism"]
        )
    ]
)
